<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_d0845bff5cd0d" . "db5ed1d7bd9db9" . "96f51" => base64_decode("c2" . "91" . "cm" . "Nl"), "_6e38cb9e043a07cd69a171" . "1a6704c62a" => base64_decode("cGFyZW5" . "0X2lk"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d0845bff5cd" . "0ddb5ed1d7bd" . "9db996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_6e38cb9e043a07cd69a1711a6" . "704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}